package cn.org.bjca.trust.push

import cn.org.bjca.trust.push.kit.SdkInterface
import cn.org.bjca.trust.push.manager.PushSdkManager

object PushSdk {
    private lateinit var sdkInstance: SdkInterface
    val instance: SdkInterface
        get() {
            if (!::sdkInstance.isInitialized) {
                sdkInstance = PushSdkManager()
            }
            return sdkInstance
        }
}